jackrabbit-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sandeep Warikoo" <warikoo.sand...@gmail.com>
Subject Re: [jira] Created: (JCR-404) Unable to compile jackrabbit source code
Date Wed, 19 Apr 2006 12:23:23 GMT
Hi,

Though I am not familiar my maven, here is a snippet from project.xml which
shows the version used is 3.1


**************************************************************************************
        <dependency>
            <!-- Commons Collections -->
            <groupId>commons-collections</groupId>
            <artifactId>commons-collections</artifactId>
            <version>3.1</version>
            <url>http://jakarta.apache.org/commons/collections/</url>
            <!--
                Advanced collection classes, utilities and data structures
                used internally by Jackrabbit.
            -->
        </dependency>
************************************************************************************

I had installed jackrabbit code base using svn (svn checkout
http://svn.apache.org/repos/asf/jackrabbit/trunk/jackrabbit) as per
instructions given at http://jackrabbit.apache.org/doc/building.html .

I did some search on my hard disk and it looks like it had installed those
dependent libraries at home folder.

I can find the common collection jar at: C:\Documents and
Settings\sandeep_warikoo\.maven\repository\commons-collections\jars

Did I miss dome default over-ridding?



On 4/19/06, Marcel Reutegger <marcel.reutegger@gmx.net> wrote:
>
> Sandeep Warikoo wrote:
> > Hi Marcel,
> >
> > Thanks for the reply. I was able to move forward after using Maven 1.0.2
> ,
> > but still ran into following errors:
> >
> > ********************************************************************
> >
> > build:start:
> >
> > java:prepare-filesystem:
> >
> > java:compile:
> >
> > [echo] Compiling to E:\jackrabbit/target/classes
> >
> > [javac] Compiling 414 source files to E:\jackrabbit\target\classes
> >
> >
> E:\jackrabbit\src\main\java\org\apache\jackrabbit\core\SessionImpl.java:18:
> > package org.apache.commons.collections.map does not exist
> >
> > import org.apache.commons.collections.map.ReferenceMap;
>
> those classes should all be available in commons-collection 3.1
>
> can you please make sure you have an up-to-date version of the
> jackrabbit project.xml file, which references the 3.1 version of
> commons-collection?
>
> regards
> marcel
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message